# OpenLab 2019: FS Code Digging

Files from 2019-05-10 LCM OpenLab "Free Software & Code Digging".

## Tree
```
OpenLab_2019_FS_Code_Digging
├── [4.0K]  code/ -> Codes used during this OpenLab
│   ├── [4.0K]  asm/ -> Assembly codes
│   │   ├── [4.0K]  file/
│   │   │   ├── [1.6K]  a.out* -> Statically compiled binary file for "file" program
│   │   │   ├── [1.9K]  list
│   │   │   ├── [1.9K]  main.o
│   │   │   └── [ 620]  main.s -> Source file for "file" program
│   │   └── [4.0K]  hello/
│   │       ├── [1.2K]  a.out* -> Statically compiled binary file for "hello" program
│   │       ├── [1.3K]  main.o
│   │       └── [ 181]  main.s -> Source file for "hello" program
│   └── [4.0K]  c/ -> C codes
│       ├── [794K]  arch* -> Statically compiled binary file for "arch" program
│       ├── [ 302]  arch.c -> Source file for "arch" program
│       ├── [795K]  mem* -> Statically compiled binary file for "mem" program
│       └── [ 581]  mem.c -> Source file for "mem" program
├── [ 107]  README.md
└── [4.0K]  slides/ -> Slides used during this OpenLab
    ├── [ 18M]  fs_cd_2019-05-10.odp.xz -> Modifiable version
    └── [5.8M]  fs_cd_2019-05-10.pdf.xz -> Portable Document Format version

6 directories, 14 files
```

**Note:** in order to decompress the *.xz files you need to use the `xz` program
distributed as part of the `xz-utils` package:
```
$ # Test file integrity
$ xz -tv file.suffix.xz
$ # Decompress
$ xz -dkv file.suffix.xz
```
